import numpy as np

filename = 'Alg-Robust-change.npz'
data = np.load(filename,allow_pickle=True)


#print("Train Accuracy:", data['train_acc'])
#print("Train Loss:", data['train_loss'])
#print("Validation Accuracy:", data['val_acc'])
#print("Validation Loss:", data['val_loss'])
print("Overall Results:", data['overallRes'])
print("Overflow Results:", data['overflowRes'])
print("Reach Safety Results:", data['reachSafetyRes'])
print("Termination Results:", data['terminationRes'])
print("Memory Safety Results:", data['memSafetyRes'])
print("Overall Choices:", data['overallChoices'])
print("Overflow Choices:", data['overflowChoices'])
print("Reach Safety Choices:", data['reachSafetyChoices'])
print("Termination Choices:", data['terminationChoices'])
print("Memory Safety Choices:", data['memSafetyChoices'])
#print("res:", data['res'])
